function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

export var geocodeAddress = function geocodeAddress(address, onSuccess, onError) {
  var geocoder = new window.google.maps.Geocoder();
  geocoder.geocode({
    address: address
  }, function (results, status) {
    if (status === 'OK' && onSuccess && onSuccess instanceof Function) {
      onSuccess({
        lat: results[0].geometry.location.lat(),
        lng: results[0].geometry.location.lng()
      }, results, status);
    } else {
      if (onError && onError instanceof Function) {
        onError(status);
      }
    }
  });
};
export var getLocation = function getLocation(config) {
  return new Promise(function (resolve, reject) {
    navigator.geolocation.getCurrentPosition(resolve, reject, _extends({
      enableHighAccuracy: true,
      timeout: 5000,
      maximumAge: 3000
    }, config));
  });
};